package cn.com.poc.long_document.service;

import cn.com.poc.long_document.model.BizLongTextExampleModel;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizLongTextExampleService extends BaseService {

    BizLongTextExampleModel get(Integer id) throws Exception;

    Collection<BizLongTextExampleModel> findByExample(BizLongTextExampleModel example,PagingInfo pagingInfo) throws Exception;
    
    void delete(BizLongTextExampleModel model) throws Exception;
    
    void deleteById(Integer id) throws Exception;
    
    void deleteAll(Collection<Integer> ids) throws Exception;
    
    BizLongTextExampleModel save(BizLongTextExampleModel model) throws Exception;
    
    Collection<BizLongTextExampleModel> saveAll(Collection<BizLongTextExampleModel> models) throws Exception;
    
}